For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Shipping Provider
      • Tax Provider
      • Webhooks
          • GETList Webhooks
          • POSTCreate Webhook
          • GETGet Webhook
          • PUTUpdate Webhook
          • DELDelete Webhook
          • GETGet Admin Info
          • PUTUpsert Email Notifications
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTIntegrationsWebhooks

Update Webhook

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/hooks/:webhook_id
PUT
/stores/:store_hash/v3/hooks/:webhook_id
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/hooks/22561593 \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200application/json
1{
2 "data": {
3 "id": 18048287,
4 "client_id": "m9r6keqmo7h7f23btnpwernbez1kglkl",
5 "store_hash": "sftg45fsd",
6 "scope": "store/order/created",
7 "destination": "https://665b65a6.ngrok.io/webhooks",
8 "headers": {
9 "custom-key": "developer-defined value"
10 },
11 "is_active": true,
12 "created_at": 1561488106,
13 "updated_at": 1561488106
14 },
15 "meta": {}
16}
Updates a webhook. You can add custom headers. At least one field is required to perform an update.
Was this page helpful?
Previous

Get Webhook

Next

Delete Webhook

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

None required. Create and manage webhooks with the default scope of an API account.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

webhook_idintegerRequired>=1
The ID of a Webhook.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json

Request

This endpoint expects an object.
scopestringOptional
Event you subscribe to.
destinationstringOptional

URL must be active, return a 200 response, and be served on port 443. Custom ports arenʼt currently supported.

is_activebooleanOptional
Boolean value that indicates whether the webhook is active or not.
headersobject or nullOptional
Headers used to validate that webhooks are active. You can pass in any number of custom headers to validate webhooks are being returned.

Response

Example response
dataobject
metaany